[tox]
envlist = py26, py27, py33, py34, py35, flake8

[testenv]
changedir = tests
commands = 
    ; a workaround for tox bug: https://bitbucket.org/hpk42/tox/issue/176/tox-doesnt-install-the-package-being
    pip install -I {toxinidir}/
    py.test test_wkwsci.py
    py.test --doctest-modules {envsitepackagesdir}/wkwsci
deps = pytest


[testenv:py27]
passenv = TRAVIS TRAVIS_JOB_ID TRAVIS_BRANCH 
changedir = tests
commands = 
    ; a workaround for tox bug: https://bitbucket.org/hpk42/tox/issue/176/tox-doesnt-install-the-package-being
    pip install -I {toxinidir}/
    py.test test_wkwsci.py
    py.test --doctest-modules {envsitepackagesdir}/wkwsci
    ; https://stackoverflow.com/questions/32757765/
    py.test --cov={envsitepackagesdir}/wkwsci --cov-report=term --basetemp={envtmpdir}
    python {toxinidir}/run_coveralls.py
deps =
    pytest
    coverage
    pytest-cov
    coveralls



[testenv:flake8]
commands = 
    pip install -I {toxinidir}/
    flake8 {envsitepackagesdir}/wkwsci
    pep257 {envsitepackagesdir}/wkwsci
deps = flake8
       ; flake8-docstrings ; pep257 D203/D211 incompatibility
       pep257
